<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('partner_offline_orders', function (Blueprint $table) {
            $table->integer("operate_user_id")->nullable()->comment("操作用户id")->after("price");
            $table->string("operate_user_name", 191)->nullable()->comment("操作用户名称")->after("price");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('partner_offline_orders', function (Blueprint $table) {
            $table->dropColumn(['operate_user_id', "operate_user_name"]);
        });
    }
};
